import { IntegrationTestBase, IntegrationTestBaseOptions } from "../cdk";
import { Project } from "../project";
import { Task } from "../task";
import { AwsCdkDeps } from "./awscdk-deps";
/**
 * @experimental
 */
export interface IntegrationTestCommonOptions {
    /**
     * (experimental) Destroy the test app after a successful deployment.
     *
     * If disabled, leaves the
     * app deployed in the dev account.
     *
     * @default true
     * @experimental
     */
    readonly destroyAfterDeploy?: boolean;
}
/**
 * (experimental) Options for `IntegrationTest`.
 *
 * @experimental
 */
export interface IntegrationTestOptions extends IntegrationTestCommonOptions, IntegrationTestBaseOptions {
    /**
     * (experimental) A list of stacks within the integration test to deploy/destroy.
     *
     * @default ["**"]
     * @experimental
     */
    readonly stacks?: string[];
    /**
     * (experimental) AWS CDK dependency manager.
     *
     * @experimental
     */
    readonly cdkDeps: AwsCdkDeps;
}
/**
 * (experimental) Cloud integration tests.
 *
 * @experimental
 */
export declare class IntegrationTest extends IntegrationTestBase {
    /**
     * (experimental) Destroy the integration test resources.
     *
     * @experimental
     */
    readonly destroyTask: Task;
    /**
     * (experimental) The watch task.
     *
     * @experimental
     */
    readonly watchTask: Task;
    /**
     * @experimental
     */
    constructor(project: Project, options: IntegrationTestOptions);
}
