import { Component } from "../component";
import { Project } from "../project";
/**
 * (experimental) Options for `AutoDiscoverBase`.
 *
 * @experimental
 */
export interface AutoDiscoverBaseOptions {
    /**
     * (experimental) Locate files with the given extension.
     *
     * @experimental
     * @example
     *
     * ".integ.ts"
     */
    readonly extension: string;
    /**
     * (experimental) Locate entrypoints in the given project directory.
     *
     * @experimental
     * @example
     *
     * "test"
     */
    readonly projectdir: string;
}
/**
 * (experimental) Base class for auto-discovering and creating project subcomponents.
 *
 * @experimental
 */
export declare abstract class AutoDiscoverBase extends Component {
    /**
     * (experimental) Auto-discovered entry points with paths relative to the project directory.
     *
     * @experimental
     */
    readonly entrypoints: string[];
    /**
     * @experimental
     */
    constructor(project: Project, options: AutoDiscoverBaseOptions);
}
/**
 * (experimental) Options for `IntegrationTestAutoDiscoverBase`.
 *
 * @experimental
 */
export interface IntegrationTestAutoDiscoverBaseOptions {
    /**
     * (experimental) Test source tree.
     *
     * @experimental
     */
    readonly testdir: string;
}
/**
 * (experimental) Base class for locating integration tests in the project's test tree.
 *
 * @experimental
 */
export declare class IntegrationTestAutoDiscoverBase extends AutoDiscoverBase {
    /**
     * @experimental
     */
    constructor(project: Project, options: IntegrationTestAutoDiscoverBaseOptions);
}
