import { IntegrationTestAutoDiscoverBase, IntegrationTestAutoDiscoverBaseOptions } from "../cdk";
import { Component } from "../component";
import { Project } from "../project";
/**
 * (experimental) Options for `AutoDiscover`.
 *
 * @experimental
 */
export interface AutoDiscoverOptions extends IntegrationTestAutoDiscoverOptions {
    /**
     * (experimental) Automatically discover integration tests.
     *
     * @default true
     * @experimental
     */
    readonly integrationTestAutoDiscover?: boolean;
}
/**
 * (experimental) Automatically discovers and creates `IntegrationTest`s from entry points found in the test tree.
 *
 * @experimental
 */
export declare class AutoDiscover extends Component {
    /**
     * @experimental
     */
    constructor(project: Project, options: AutoDiscoverOptions);
}
/**
 * @experimental
 */
export interface IntegrationTestAutoDiscoverOptions extends IntegrationTestAutoDiscoverBaseOptions {
    /**
     * (experimental) Path to the tsconfig file to use for integration tests.
     *
     * @experimental
     */
    readonly tsconfigPath: string;
}
/**
 * (experimental) Discovers and creates integration tests from files in the test root.
 *
 * @experimental
 */
export declare class IntegrationTestAutoDiscover extends IntegrationTestAutoDiscoverBase {
    /**
     * @experimental
     */
    constructor(project: Project, options: IntegrationTestAutoDiscoverOptions);
}
